<!--
Conexión de API a base de datos de Proyecto Raíces: configure.php
- Autor:            Miguel E. Cruz Molina
- # de estudiante:  801-16-1956
- Curso y sección:  CCOM 4027-002
- Intructor:        Prof. Carlos J. Corrada Bravo
- Fecha de última edición: 10/04/2021

Resumen: Este archivo de PHP contiene los datos pertinentes a la
  conexión entre la base de datos del Proyecto Raíces y las páginas
  de la aplicación móvil, y realiza directamente dicha conexión
  usando esos datos. La conexión resultante se importa de manera
  separada a cada uno de los demás archivos de PHP relevantes.
-->

<?php

    class Inventario {

    private $conn;
    private $tabla_prod = 'productos';

    public $id_producto;
    public $nom_producto;
    public $id_comerciante;
    public $nom_comerciante;
    public $id_default_inventario;
    public $id_default_diseno;

    // Constructor:

    public function __construct($database) {
      $this->conn = $database;
    }

    // Obtener productos:

    public function read() {
      $query = 'SELECT P.nom_producto, P.id_producto,
                       C.id_comerciante, C.nom_comerciante
                FROM comerciantes C, vende V, productos P
                WHERE P.id_producto = V.id_producto
                  AND V.id_comerciante = C.id_comerciante';

      // Statement:

      $statement = $this->conn->prepare($query);

      $statement->execute();

      return $statement;
    }

  }
?>
